---
title: lengthAdjust
slug: Web/SVG/Attribute/lengthAdjust
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p><span class="seoSummary">The lengthAdjust attribute controls how the text is stretched into the length defined by the {{SVGAttr("textLength")}} attribute.</span></p>

<p>Four elements are using this attribute: {{SVGElement("text")}}, {{SVGElement("textPath")}}, {{SVGElement("tref")}}, and {{SVGElement("tspan")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; hightlight[3-6]">&lt;svg width="300" height="150" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;g font-face="sans-serif"&gt;
    &lt;text x="0" y="20" textLength="300" lengthAdjust="spacing"&gt;
      Stretched using spacing only.
    &lt;/text&gt;
    &lt;text x="0" y="50" textLength="300" lengthAdjust="spacingAndGlyphs"&gt;
      Stretched using spacing and glyphs.
    &lt;/text&gt;
    &lt;text x="0" y="80" textLength="100" lengthAdjust="spacing"&gt;
      Shrunk using spacing only.
    &lt;/text&gt;
    &lt;text x="0" y="110" textLength="100" lengthAdjust="spacingAndGlyphs"&gt;
      Shrunk using spacing and glyphs.
    &lt;/text&gt;
  &lt;/g&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "420", "120")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>spacing</code> | <code>spacingAndGlyphs</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>spacing</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "text.html#TextElementLengthAdjustAttribute", "lengthAdjust")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#TextElementLengthAdjustAttribute", "lengthAdjust")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.text.lengthAdjust")}}</p>
